## pysignalr 1.3.0

=== Makefile ===
.PHONY: $(MAKECMDGOALS)
MAKEFLAGS += --no-print-directory
##
##    🚧 pysignalr developer tools
##
SOURCE = src tests example.py example_with_token.py

help:           ## Show this help (default)
	@grep -F -h "##" $(MAKEFILE_LIST) | grep -F -v fgrep | sed -e 's/\\$$//' | sed -e 's/##//'

install:        ## Install dependencies
	poetry sync

update:         ## Update dependencies
	poetry update

all:            ## Run a whole CI pipeline: formatters, linters, tests
	make lint test

lint:           ## Lint with all tools
	make black ruff mypy

test:           ## Run test suite
	pytest --cov-report=term-missing --cov=pysignalr --cov-report=xml --asyncio-mode=auto -s -v tests

##

black:          ## Format with black
	black $(SOURCE)

ruff:           ## Lint with ruff
	ruff check --fix --unsafe-fixes $(SOURCE)

mypy:           ## Lint with mypy
	mypy --strict $(SOURCE)

cover:          ## Print coverage for the current branch
	diff-cover --compare-branch origin/master coverage.xml

##

clean:          ## Remove all files from .gitignore except for `.venv`
	git clean -xdf --exclude=".venv"

=== debian/changelog ===
pysignalr (1.3.0-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Mon, 30 Jun 2025 17:31:04 +0100

pysignalr (1.3.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1107853)

 -- Edward Betts <edward@4angle.com>  Sun, 15 Jun 2025 22:59:45 +0100

=== debian/control ===
Source: pysignalr
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-poetry-core,
Build-Depends-Indep:
 python3-aiohttp <!nocheck>,
 python3-docker <!nocheck>,
 python3-orjson <!nocheck>,
 python3-pytest <!nocheck>,
 python3-pytest-asyncio <!nocheck>,
 python3-pytest-cov <!nocheck>,
 python3-requests <!nocheck>,
 python3-websockets <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.7.2
Homepage: https://github.com/baking-bad/pysignalr
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/pysignalr
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/pysignalr.git
Testsuite: autopkgtest-pkg-pybuild

Package: python3-pysignalr
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Async-ready client for SignalR protocol
 This library provides a modern and reliable client for the SignalR protocol,
 enabling asynchronous communication with SignalR servers. It supports real-
 time functionalities, allowing the exchange of messages in a dynamic
 environment such as a web application. Users can connect to, send, and receive
 messages from a SignalR server, facilitating interactions that demand up-to-
 date and instant data transmission. The client is built on an asyncio
 framework, allowing for efficient handling of concurrent operations. Useful
 for applications needing real-time data updates, this library is particularly
 relevant in contexts like web-based dashboards or collaborative tools that
 require a persistent connection to a central server.

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_TEST_ARGS=-k "not test_connection and not test_connection_with_token and not test_invalid_token and not test_send_and_receive_message and not test_result_from_client"

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
https://github.com/baking-bad/pysignalr/tags .*/v?(\d\S+)\.tar\.gz
